org.apache.avro.ipc

## Interface Server

All Known Implementing Classes:
  DatagramServer, SaslSocketServer, SocketServer

    public interface Server

A server listening on a port.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Stop this server.
`int` `getPort()` The port this server runs on.
`void` `join()` Wait for this server to exit.
`void` `start()` Start this server.

### Method Detail

#### getPort

    int getPort()

The port this server runs on.

#### start

    void start()

Start this server.

#### close

    void close()

Stop this server.

#### join

    void join()
       throws InterruptedException

Wait for this server to exit.

Throws:
  `InterruptedException`